Error Report

unread
Error Code: 
4
Error Message: 
Operation details
Installable Units Reported: 
io.sloeber.feature.feature.group,4.2.0.201711210114
Detailed Message: 
Cannot complete the install because of a conflicting dependency. Software being installed: Arduino C++ Tools 9.3.3.201710130142 (org.eclipse.cdt.arduino.feature.group 9.3.3.201710130142) Software currently installed: Sloeber, the Eclipse Arduino IDE 4.2.0.201711200109 (io.sloeber.product 4.2.0.201711200109) Software currently installed: C/C++ GNU Toolchain Debug Support 9.4.0.201801130900 (org.eclipse.cdt.gnu.debug.feature.group 9.4.0.201801130900) Only one of the following can be installed at once: C/C++ Development Tools Core Native Utilities 5.10.0.201801130900 (org.eclipse.cdt.core.native 5.10.0.201801130900) C/C++ Development Tools Core Native Utilities 5.10.0.201706122201 (org.eclipse.cdt.core.native 5.10.0.201706122201) C/C++ Development Tools Core Native Utilities 5.10.0.201710130142 (org.eclipse.cdt.core.native 5.10.0.201710130142) C/C++ Development Tools Core Native Utilities 5.10.0.201707130901 (org.eclipse.cdt.core.native 5.10.0.201707130901) C/C++ Development Tools Core Native Utilities 5.10.0.201712051550 (org.eclipse.cdt.core.native 5.10.0.201712051550) C/C++ Development Tools Core Native Utilities 5.10.0.201709131603 (org.eclipse.cdt.core.native 5.10.0.201709131603) Only one of the following can be installed at once: C/C++ GNU Toolchain Debug Support 9.3.3.201710130142 (org.eclipse.cdt.gnu.debug.feature.jar 9.3.3.201710130142) C/C++ GNU Toolchain Debug Support 9.4.0.201801130900 (org.eclipse.cdt.gnu.debug.feature.jar 9.4.0.201801130900) C/C++ GNU Toolchain Debug Support 9.3.0.201706122201 (org.eclipse.cdt.gnu.debug.feature.jar 9.3.0.201706122201) C/C++ GNU Toolchain Debug Support 9.3.0.201707130901 (org.eclipse.cdt.gnu.debug.feature.jar 9.3.0.201707130901) C/C++ GNU Toolchain Debug Support 9.3.2.201709131603 (org.eclipse.cdt.gnu.debug.feature.jar 9.3.2.201709131603) C/C++ GNU Toolchain Debug Support 9.4.0.201712051550 (org.eclipse.cdt.gnu.debug.feature.jar 9.4.0.201712051550) Cannot satisfy dependency: From: Sloeber, the Eclipse Arduino IDE 4.2.0.201711200109 (io.sloeber.product 4.2.0.201711200109) To: org.eclipse.cdt.native.feature.group [9.3.3.201710130142] Cannot satisfy dependency: From: Arduino C++ Tools 9.3.3.201710130142 (org.eclipse.cdt.arduino.feature.group 9.3.3.201710130142) To: org.eclipse.cdt.feature.group 0.0.0 Cannot satisfy dependency: From: C/C++ Development Tools 9.3.0.201706122201 (org.eclipse.cdt.feature.group 9.3.0.201706122201) To: org.eclipse.cdt.gnu.debug.feature.group [9.3.0.201706122201] Cannot satisfy dependency: From: C/C++ Development Tools 9.3.0.201707130901 (org.eclipse.cdt.feature.group 9.3.0.201707130901) To: org.eclipse.cdt.gnu.debug.feature.group [9.3.0.201707130901] Cannot satisfy dependency: From: C/C++ Development Tools 9.3.2.201709131603 (org.eclipse.cdt.feature.group 9.3.2.201709131603) To: org.eclipse.cdt.gnu.debug.feature.group [9.3.2.201709131603] Cannot satisfy dependency: From: C/C++ Development Tools 9.3.3.201710130142 (org.eclipse.cdt.feature.group 9.3.3.201710130142) To: org.eclipse.cdt.gnu.debug.feature.group [9.3.3.201710130142] Cannot satisfy dependency: From: C/C++ Development Tools 9.4.0.201712051550 (org.eclipse.cdt.feature.group 9.4.0.201712051550) To: org.eclipse.cdt.gnu.debug.feature.group [9.4.0.201712051550] Cannot satisfy dependency: From: C/C++ Development Tools 9.4.0.201801130900 (org.eclipse.cdt.feature.group 9.4.0.201801130900) To: org.eclipse.cdt.platform.feature.group [9.4.0.201801130900] Cannot satisfy dependency: From: C/C++ GNU Toolchain Debug Support 9.3.0.201706122201 (org.eclipse.cdt.gnu.debug.feature.group 9.3.0.201706122201) To: org.eclipse.cdt.gnu.debug.feature.jar [9.3.0.201706122201] Cannot satisfy dependency: From: C/C++ GNU Toolchain Debug Support 9.3.0.201707130901 (org.eclipse.cdt.gnu.debug.feature.group 9.3.0.201707130901) To: org.eclipse.cdt.gnu.debug.feature.jar [9.3.0.201707130901] Cannot satisfy dependency: From: C/C++ GNU Toolchain Debug Support 9.3.2.201709131603 (org.eclipse.cdt.gnu.debug.feature.group 9.3.2.201709131603) To: org.eclipse.cdt.gnu.debug.feature.jar [9.3.2.201709131603] Cannot satisfy dependency: From: C/C++ GNU Toolchain Debug Support 9.3.3.201710130142 (org.eclipse.cdt.gnu.debug.feature.group 9.3.3.201710130142) To: org.eclipse.cdt.gnu.debug.feature.jar [9.3.3.201710130142] Cannot satisfy dependency: From: C/C++ GNU Toolchain Debug Support 9.4.0.201712051550 (org.eclipse.cdt.gnu.debug.feature.group 9.4.0.201712051550) To: org.eclipse.cdt.gnu.debug.feature.jar [9.4.0.201712051550] Cannot satisfy dependency: From: C/C++ GNU Toolchain Debug Support 9.4.0.201801130900 (org.eclipse.cdt.gnu.debug.feature.group 9.4.0.201801130900) To: org.eclipse.cdt.gnu.debug.feature.jar [9.4.0.201801130900] Cannot satisfy dependency: From: C/C++ Development Tooling Native Utilities 9.3.3.201710130142 (org.eclipse.cdt.native.feature.group 9.3.3.201710130142) To: org.eclipse.cdt.core.native [5.10.0.201710130142] Cannot satisfy dependency: From: C/C++ Development Tooling Native Utilities 9.4.0.201801130900 (org.eclipse.cdt.native.feature.group 9.4.0.201801130900) To: org.eclipse.cdt.core.native [5.10.0.201801130900] Cannot satisfy dependency: From: C/C++ Development Platform 9.4.0.201801130900 (org.eclipse.cdt.platform.feature.group 9.4.0.201801130900) To: org.eclipse.cdt.native.feature.group [9.4.0.201801130900]